Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util.propertyEditor
Class DirectoryPropertyEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          com.bbn.openmap.util.propertyEditor.FilePropertyEditor
              com.bbn.openmap.util.propertyEditor.DirectoryPropertyEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener, java.beans.PropertyEditor

public class DirectoryPropertyEditor
extends FilePropertyEditor

A PropertyEditor that brings up a JFileChooser panel to select a directory. A single directpry choice can be made, and only choices that reside on the local file system.

Field Summary

Fields inherited from class com.bbn.openmap.util.propertyEditor.FilePropertyEditor
`button, textField`

Constructor Summary
`DirectoryPropertyEditor()`

Method Summary
`int` | `getFileSelectionMode()` Internal callback method that can be overridden by subclasses.

Methods inherited from class com.bbn.openmap.util.propertyEditor.FilePropertyEditor
`actionPerformed, cleanUpName, getAsText, getButtonTitle, getCustomEditor, getFileChooser, getLastLocation, isMultiSelectEnabled, isTextFieldEditable, setValue, supportsCustomEditor`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getJavaInitializationString, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setAsText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectoryPropertyEditor

    public DirectoryPropertyEditor()

Method Detail

### getFileSelectionMode

    public int getFileSelectionMode()

  Internal callback method that can be overridden by subclasses.

  Overrides:
    `getFileSelectionMode` in class `FilePropertyEditor`
  Returns:
    JFileChooser.DIRECTORIES_ONLY for DirectoryPropertyEditor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details